Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network112.0.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
112.0.0.0
Broadcast address
112.15.255.255
First usable
112.0.0.1
Last usable
112.15.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 70000000 · Integer 1879048192 to 1880096767
Reverse DNS zones
0.112.in-addr.arpa
1.112.in-addr.arpa
2.112.in-addr.arpa
3.112.in-addr.arpa
4.112.in-addr.arpa
5.112.in-addr.arpa
6.112.in-addr.arpa
7.112.in-addr.arpa
8.112.in-addr.arpa
9.112.in-addr.arpa
10.112.in-addr.arpa
11.112.in-addr.arpa
12.112.in-addr.arpa
13.112.in-addr.arpa
14.112.in-addr.arpa
15.112.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110000.00000000.00000000.00000000112.0.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network01110000.00000000.00000000.00000000112.0.0.0
Broadcast01110000.00001111.11111111.11111111112.15.255.255
Split into smaller subnets/21

112.0.0.0/12 makes 512 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1112.0.0.0/21112.0.0.1 to 112.0.7.254112.0.7.2552,046
2112.0.8.0/21112.0.8.1 to 112.0.15.254112.0.15.2552,046
3112.0.16.0/21112.0.16.1 to 112.0.23.254112.0.23.2552,046
4112.0.24.0/21112.0.24.1 to 112.0.31.254112.0.31.2552,046
5112.0.32.0/21112.0.32.1 to 112.0.39.254112.0.39.2552,046
6112.0.40.0/21112.0.40.1 to 112.0.47.254112.0.47.2552,046
7112.0.48.0/21112.0.48.1 to 112.0.55.254112.0.55.2552,046
8112.0.56.0/21112.0.56.1 to 112.0.63.254112.0.63.2552,046
9112.0.64.0/21112.0.64.1 to 112.0.71.254112.0.71.2552,046
10112.0.72.0/21112.0.72.1 to 112.0.79.254112.0.79.2552,046
11112.0.80.0/21112.0.80.1 to 112.0.87.254112.0.87.2552,046
12112.0.88.0/21112.0.88.1 to 112.0.95.254112.0.95.2552,046
13112.0.96.0/21112.0.96.1 to 112.0.103.254112.0.103.2552,046
14112.0.104.0/21112.0.104.1 to 112.0.111.254112.0.111.2552,046
15112.0.112.0/21112.0.112.1 to 112.0.119.254112.0.119.2552,046
16112.0.120.0/21112.0.120.1 to 112.0.127.254112.0.127.2552,046
17112.0.128.0/21112.0.128.1 to 112.0.135.254112.0.135.2552,046
18112.0.136.0/21112.0.136.1 to 112.0.143.254112.0.143.2552,046
19112.0.144.0/21112.0.144.1 to 112.0.151.254112.0.151.2552,046
20112.0.152.0/21112.0.152.1 to 112.0.159.254112.0.159.2552,046
21112.0.160.0/21112.0.160.1 to 112.0.167.254112.0.167.2552,046
22112.0.168.0/21112.0.168.1 to 112.0.175.254112.0.175.2552,046
23112.0.176.0/21112.0.176.1 to 112.0.183.254112.0.183.2552,046
24112.0.184.0/21112.0.184.1 to 112.0.191.254112.0.191.2552,046
25112.0.192.0/21112.0.192.1 to 112.0.199.254112.0.199.2552,046
26112.0.200.0/21112.0.200.1 to 112.0.207.254112.0.207.2552,046
27112.0.208.0/21112.0.208.1 to 112.0.215.254112.0.215.2552,046
28112.0.216.0/21112.0.216.1 to 112.0.223.254112.0.223.2552,046
29112.0.224.0/21112.0.224.1 to 112.0.231.254112.0.231.2552,046
30112.0.232.0/21112.0.232.1 to 112.0.239.254112.0.239.2552,046
31112.0.240.0/21112.0.240.1 to 112.0.247.254112.0.247.2552,046
32112.0.248.0/21112.0.248.1 to 112.0.255.254112.0.255.2552,046
33112.1.0.0/21112.1.0.1 to 112.1.7.254112.1.7.2552,046
34112.1.8.0/21112.1.8.1 to 112.1.15.254112.1.15.2552,046
35112.1.16.0/21112.1.16.1 to 112.1.23.254112.1.23.2552,046
36112.1.24.0/21112.1.24.1 to 112.1.31.254112.1.31.2552,046
37112.1.32.0/21112.1.32.1 to 112.1.39.254112.1.39.2552,046
38112.1.40.0/21112.1.40.1 to 112.1.47.254112.1.47.2552,046
39112.1.48.0/21112.1.48.1 to 112.1.55.254112.1.55.2552,046
40112.1.56.0/21112.1.56.1 to 112.1.63.254112.1.63.2552,046
41112.1.64.0/21112.1.64.1 to 112.1.71.254112.1.71.2552,046
42112.1.72.0/21112.1.72.1 to 112.1.79.254112.1.79.2552,046
43112.1.80.0/21112.1.80.1 to 112.1.87.254112.1.87.2552,046
44112.1.88.0/21112.1.88.1 to 112.1.95.254112.1.95.2552,046
45112.1.96.0/21112.1.96.1 to 112.1.103.254112.1.103.2552,046
46112.1.104.0/21112.1.104.1 to 112.1.111.254112.1.111.2552,046
47112.1.112.0/21112.1.112.1 to 112.1.119.254112.1.119.2552,046
48112.1.120.0/21112.1.120.1 to 112.1.127.254112.1.127.2552,046
49112.1.128.0/21112.1.128.1 to 112.1.135.254112.1.135.2552,046
50112.1.136.0/21112.1.136.1 to 112.1.143.254112.1.143.2552,046
51112.1.144.0/21112.1.144.1 to 112.1.151.254112.1.151.2552,046
52112.1.152.0/21112.1.152.1 to 112.1.159.254112.1.159.2552,046
53112.1.160.0/21112.1.160.1 to 112.1.167.254112.1.167.2552,046
54112.1.168.0/21112.1.168.1 to 112.1.175.254112.1.175.2552,046
55112.1.176.0/21112.1.176.1 to 112.1.183.254112.1.183.2552,046
56112.1.184.0/21112.1.184.1 to 112.1.191.254112.1.191.2552,046
57112.1.192.0/21112.1.192.1 to 112.1.199.254112.1.199.2552,046
58112.1.200.0/21112.1.200.1 to 112.1.207.254112.1.207.2552,046
59112.1.208.0/21112.1.208.1 to 112.1.215.254112.1.215.2552,046
60112.1.216.0/21112.1.216.1 to 112.1.223.254112.1.223.2552,046
61112.1.224.0/21112.1.224.1 to 112.1.231.254112.1.231.2552,046
62112.1.232.0/21112.1.232.1 to 112.1.239.254112.1.239.2552,046
63112.1.240.0/21112.1.240.1 to 112.1.247.254112.1.247.2552,046
64112.1.248.0/21112.1.248.1 to 112.1.255.254112.1.255.2552,046
65112.2.0.0/21112.2.0.1 to 112.2.7.254112.2.7.2552,046
66112.2.8.0/21112.2.8.1 to 112.2.15.254112.2.15.2552,046
67112.2.16.0/21112.2.16.1 to 112.2.23.254112.2.23.2552,046
68112.2.24.0/21112.2.24.1 to 112.2.31.254112.2.31.2552,046
69112.2.32.0/21112.2.32.1 to 112.2.39.254112.2.39.2552,046
70112.2.40.0/21112.2.40.1 to 112.2.47.254112.2.47.2552,046
71112.2.48.0/21112.2.48.1 to 112.2.55.254112.2.55.2552,046
72112.2.56.0/21112.2.56.1 to 112.2.63.254112.2.63.2552,046
73112.2.64.0/21112.2.64.1 to 112.2.71.254112.2.71.2552,046
74112.2.72.0/21112.2.72.1 to 112.2.79.254112.2.79.2552,046
75112.2.80.0/21112.2.80.1 to 112.2.87.254112.2.87.2552,046
76112.2.88.0/21112.2.88.1 to 112.2.95.254112.2.95.2552,046
77112.2.96.0/21112.2.96.1 to 112.2.103.254112.2.103.2552,046
78112.2.104.0/21112.2.104.1 to 112.2.111.254112.2.111.2552,046
79112.2.112.0/21112.2.112.1 to 112.2.119.254112.2.119.2552,046
80112.2.120.0/21112.2.120.1 to 112.2.127.254112.2.127.2552,046
81112.2.128.0/21112.2.128.1 to 112.2.135.254112.2.135.2552,046
82112.2.136.0/21112.2.136.1 to 112.2.143.254112.2.143.2552,046
83112.2.144.0/21112.2.144.1 to 112.2.151.254112.2.151.2552,046
84112.2.152.0/21112.2.152.1 to 112.2.159.254112.2.159.2552,046
85112.2.160.0/21112.2.160.1 to 112.2.167.254112.2.167.2552,046
86112.2.168.0/21112.2.168.1 to 112.2.175.254112.2.175.2552,046
87112.2.176.0/21112.2.176.1 to 112.2.183.254112.2.183.2552,046
88112.2.184.0/21112.2.184.1 to 112.2.191.254112.2.191.2552,046
89112.2.192.0/21112.2.192.1 to 112.2.199.254112.2.199.2552,046
90112.2.200.0/21112.2.200.1 to 112.2.207.254112.2.207.2552,046
91112.2.208.0/21112.2.208.1 to 112.2.215.254112.2.215.2552,046
92112.2.216.0/21112.2.216.1 to 112.2.223.254112.2.223.2552,046
93112.2.224.0/21112.2.224.1 to 112.2.231.254112.2.231.2552,046
94112.2.232.0/21112.2.232.1 to 112.2.239.254112.2.239.2552,046
95112.2.240.0/21112.2.240.1 to 112.2.247.254112.2.247.2552,046
96112.2.248.0/21112.2.248.1 to 112.2.255.254112.2.255.2552,046
97112.3.0.0/21112.3.0.1 to 112.3.7.254112.3.7.2552,046
98112.3.8.0/21112.3.8.1 to 112.3.15.254112.3.15.2552,046
99112.3.16.0/21112.3.16.1 to 112.3.23.254112.3.23.2552,046
100112.3.24.0/21112.3.24.1 to 112.3.31.254112.3.31.2552,046
101112.3.32.0/21112.3.32.1 to 112.3.39.254112.3.39.2552,046
102112.3.40.0/21112.3.40.1 to 112.3.47.254112.3.47.2552,046
103112.3.48.0/21112.3.48.1 to 112.3.55.254112.3.55.2552,046
104112.3.56.0/21112.3.56.1 to 112.3.63.254112.3.63.2552,046
105112.3.64.0/21112.3.64.1 to 112.3.71.254112.3.71.2552,046
106112.3.72.0/21112.3.72.1 to 112.3.79.254112.3.79.2552,046
107112.3.80.0/21112.3.80.1 to 112.3.87.254112.3.87.2552,046
108112.3.88.0/21112.3.88.1 to 112.3.95.254112.3.95.2552,046
109112.3.96.0/21112.3.96.1 to 112.3.103.254112.3.103.2552,046
110112.3.104.0/21112.3.104.1 to 112.3.111.254112.3.111.2552,046
111112.3.112.0/21112.3.112.1 to 112.3.119.254112.3.119.2552,046
112112.3.120.0/21112.3.120.1 to 112.3.127.254112.3.127.2552,046
113112.3.128.0/21112.3.128.1 to 112.3.135.254112.3.135.2552,046
114112.3.136.0/21112.3.136.1 to 112.3.143.254112.3.143.2552,046
115112.3.144.0/21112.3.144.1 to 112.3.151.254112.3.151.2552,046
116112.3.152.0/21112.3.152.1 to 112.3.159.254112.3.159.2552,046
117112.3.160.0/21112.3.160.1 to 112.3.167.254112.3.167.2552,046
118112.3.168.0/21112.3.168.1 to 112.3.175.254112.3.175.2552,046
119112.3.176.0/21112.3.176.1 to 112.3.183.254112.3.183.2552,046
120112.3.184.0/21112.3.184.1 to 112.3.191.254112.3.191.2552,046
121112.3.192.0/21112.3.192.1 to 112.3.199.254112.3.199.2552,046
122112.3.200.0/21112.3.200.1 to 112.3.207.254112.3.207.2552,046
123112.3.208.0/21112.3.208.1 to 112.3.215.254112.3.215.2552,046
124112.3.216.0/21112.3.216.1 to 112.3.223.254112.3.223.2552,046
125112.3.224.0/21112.3.224.1 to 112.3.231.254112.3.231.2552,046
126112.3.232.0/21112.3.232.1 to 112.3.239.254112.3.239.2552,046
127112.3.240.0/21112.3.240.1 to 112.3.247.254112.3.247.2552,046
128112.3.248.0/21112.3.248.1 to 112.3.255.254112.3.255.2552,046
129112.4.0.0/21112.4.0.1 to 112.4.7.254112.4.7.2552,046
130112.4.8.0/21112.4.8.1 to 112.4.15.254112.4.15.2552,046
131112.4.16.0/21112.4.16.1 to 112.4.23.254112.4.23.2552,046
132112.4.24.0/21112.4.24.1 to 112.4.31.254112.4.31.2552,046
133112.4.32.0/21112.4.32.1 to 112.4.39.254112.4.39.2552,046
134112.4.40.0/21112.4.40.1 to 112.4.47.254112.4.47.2552,046
135112.4.48.0/21112.4.48.1 to 112.4.55.254112.4.55.2552,046
136112.4.56.0/21112.4.56.1 to 112.4.63.254112.4.63.2552,046
137112.4.64.0/21112.4.64.1 to 112.4.71.254112.4.71.2552,046
138112.4.72.0/21112.4.72.1 to 112.4.79.254112.4.79.2552,046
139112.4.80.0/21112.4.80.1 to 112.4.87.254112.4.87.2552,046
140112.4.88.0/21112.4.88.1 to 112.4.95.254112.4.95.2552,046
141112.4.96.0/21112.4.96.1 to 112.4.103.254112.4.103.2552,046
142112.4.104.0/21112.4.104.1 to 112.4.111.254112.4.111.2552,046
143112.4.112.0/21112.4.112.1 to 112.4.119.254112.4.119.2552,046
144112.4.120.0/21112.4.120.1 to 112.4.127.254112.4.127.2552,046
145112.4.128.0/21112.4.128.1 to 112.4.135.254112.4.135.2552,046
146112.4.136.0/21112.4.136.1 to 112.4.143.254112.4.143.2552,046
147112.4.144.0/21112.4.144.1 to 112.4.151.254112.4.151.2552,046
148112.4.152.0/21112.4.152.1 to 112.4.159.254112.4.159.2552,046
149112.4.160.0/21112.4.160.1 to 112.4.167.254112.4.167.2552,046
150112.4.168.0/21112.4.168.1 to 112.4.175.254112.4.175.2552,046
151112.4.176.0/21112.4.176.1 to 112.4.183.254112.4.183.2552,046
152112.4.184.0/21112.4.184.1 to 112.4.191.254112.4.191.2552,046
153112.4.192.0/21112.4.192.1 to 112.4.199.254112.4.199.2552,046
154112.4.200.0/21112.4.200.1 to 112.4.207.254112.4.207.2552,046
155112.4.208.0/21112.4.208.1 to 112.4.215.254112.4.215.2552,046
156112.4.216.0/21112.4.216.1 to 112.4.223.254112.4.223.2552,046
157112.4.224.0/21112.4.224.1 to 112.4.231.254112.4.231.2552,046
158112.4.232.0/21112.4.232.1 to 112.4.239.254112.4.239.2552,046
159112.4.240.0/21112.4.240.1 to 112.4.247.254112.4.247.2552,046
160112.4.248.0/21112.4.248.1 to 112.4.255.254112.4.255.2552,046
161112.5.0.0/21112.5.0.1 to 112.5.7.254112.5.7.2552,046
162112.5.8.0/21112.5.8.1 to 112.5.15.254112.5.15.2552,046
163112.5.16.0/21112.5.16.1 to 112.5.23.254112.5.23.2552,046
164112.5.24.0/21112.5.24.1 to 112.5.31.254112.5.31.2552,046
165112.5.32.0/21112.5.32.1 to 112.5.39.254112.5.39.2552,046
166112.5.40.0/21112.5.40.1 to 112.5.47.254112.5.47.2552,046
167112.5.48.0/21112.5.48.1 to 112.5.55.254112.5.55.2552,046
168112.5.56.0/21112.5.56.1 to 112.5.63.254112.5.63.2552,046
169112.5.64.0/21112.5.64.1 to 112.5.71.254112.5.71.2552,046
170112.5.72.0/21112.5.72.1 to 112.5.79.254112.5.79.2552,046
171112.5.80.0/21112.5.80.1 to 112.5.87.254112.5.87.2552,046
172112.5.88.0/21112.5.88.1 to 112.5.95.254112.5.95.2552,046
173112.5.96.0/21112.5.96.1 to 112.5.103.254112.5.103.2552,046
174112.5.104.0/21112.5.104.1 to 112.5.111.254112.5.111.2552,046
175112.5.112.0/21112.5.112.1 to 112.5.119.254112.5.119.2552,046
176112.5.120.0/21112.5.120.1 to 112.5.127.254112.5.127.2552,046
177112.5.128.0/21112.5.128.1 to 112.5.135.254112.5.135.2552,046
178112.5.136.0/21112.5.136.1 to 112.5.143.254112.5.143.2552,046
179112.5.144.0/21112.5.144.1 to 112.5.151.254112.5.151.2552,046
180112.5.152.0/21112.5.152.1 to 112.5.159.254112.5.159.2552,046
181112.5.160.0/21112.5.160.1 to 112.5.167.254112.5.167.2552,046
182112.5.168.0/21112.5.168.1 to 112.5.175.254112.5.175.2552,046
183112.5.176.0/21112.5.176.1 to 112.5.183.254112.5.183.2552,046
184112.5.184.0/21112.5.184.1 to 112.5.191.254112.5.191.2552,046
185112.5.192.0/21112.5.192.1 to 112.5.199.254112.5.199.2552,046
186112.5.200.0/21112.5.200.1 to 112.5.207.254112.5.207.2552,046
187112.5.208.0/21112.5.208.1 to 112.5.215.254112.5.215.2552,046
188112.5.216.0/21112.5.216.1 to 112.5.223.254112.5.223.2552,046
189112.5.224.0/21112.5.224.1 to 112.5.231.254112.5.231.2552,046
190112.5.232.0/21112.5.232.1 to 112.5.239.254112.5.239.2552,046
191112.5.240.0/21112.5.240.1 to 112.5.247.254112.5.247.2552,046
192112.5.248.0/21112.5.248.1 to 112.5.255.254112.5.255.2552,046
193112.6.0.0/21112.6.0.1 to 112.6.7.254112.6.7.2552,046
194112.6.8.0/21112.6.8.1 to 112.6.15.254112.6.15.2552,046
195112.6.16.0/21112.6.16.1 to 112.6.23.254112.6.23.2552,046
196112.6.24.0/21112.6.24.1 to 112.6.31.254112.6.31.2552,046
197112.6.32.0/21112.6.32.1 to 112.6.39.254112.6.39.2552,046
198112.6.40.0/21112.6.40.1 to 112.6.47.254112.6.47.2552,046
199112.6.48.0/21112.6.48.1 to 112.6.55.254112.6.55.2552,046
200112.6.56.0/21112.6.56.1 to 112.6.63.254112.6.63.2552,046
201112.6.64.0/21112.6.64.1 to 112.6.71.254112.6.71.2552,046
202112.6.72.0/21112.6.72.1 to 112.6.79.254112.6.79.2552,046
203112.6.80.0/21112.6.80.1 to 112.6.87.254112.6.87.2552,046
204112.6.88.0/21112.6.88.1 to 112.6.95.254112.6.95.2552,046
205112.6.96.0/21112.6.96.1 to 112.6.103.254112.6.103.2552,046
206112.6.104.0/21112.6.104.1 to 112.6.111.254112.6.111.2552,046
207112.6.112.0/21112.6.112.1 to 112.6.119.254112.6.119.2552,046
208112.6.120.0/21112.6.120.1 to 112.6.127.254112.6.127.2552,046
209112.6.128.0/21112.6.128.1 to 112.6.135.254112.6.135.2552,046
210112.6.136.0/21112.6.136.1 to 112.6.143.254112.6.143.2552,046
211112.6.144.0/21112.6.144.1 to 112.6.151.254112.6.151.2552,046
212112.6.152.0/21112.6.152.1 to 112.6.159.254112.6.159.2552,046
213112.6.160.0/21112.6.160.1 to 112.6.167.254112.6.167.2552,046
214112.6.168.0/21112.6.168.1 to 112.6.175.254112.6.175.2552,046
215112.6.176.0/21112.6.176.1 to 112.6.183.254112.6.183.2552,046
216112.6.184.0/21112.6.184.1 to 112.6.191.254112.6.191.2552,046
217112.6.192.0/21112.6.192.1 to 112.6.199.254112.6.199.2552,046
218112.6.200.0/21112.6.200.1 to 112.6.207.254112.6.207.2552,046
219112.6.208.0/21112.6.208.1 to 112.6.215.254112.6.215.2552,046
220112.6.216.0/21112.6.216.1 to 112.6.223.254112.6.223.2552,046
221112.6.224.0/21112.6.224.1 to 112.6.231.254112.6.231.2552,046
222112.6.232.0/21112.6.232.1 to 112.6.239.254112.6.239.2552,046
223112.6.240.0/21112.6.240.1 to 112.6.247.254112.6.247.2552,046
224112.6.248.0/21112.6.248.1 to 112.6.255.254112.6.255.2552,046
225112.7.0.0/21112.7.0.1 to 112.7.7.254112.7.7.2552,046
226112.7.8.0/21112.7.8.1 to 112.7.15.254112.7.15.2552,046
227112.7.16.0/21112.7.16.1 to 112.7.23.254112.7.23.2552,046
228112.7.24.0/21112.7.24.1 to 112.7.31.254112.7.31.2552,046
229112.7.32.0/21112.7.32.1 to 112.7.39.254112.7.39.2552,046
230112.7.40.0/21112.7.40.1 to 112.7.47.254112.7.47.2552,046
231112.7.48.0/21112.7.48.1 to 112.7.55.254112.7.55.2552,046
232112.7.56.0/21112.7.56.1 to 112.7.63.254112.7.63.2552,046
233112.7.64.0/21112.7.64.1 to 112.7.71.254112.7.71.2552,046
234112.7.72.0/21112.7.72.1 to 112.7.79.254112.7.79.2552,046
235112.7.80.0/21112.7.80.1 to 112.7.87.254112.7.87.2552,046
236112.7.88.0/21112.7.88.1 to 112.7.95.254112.7.95.2552,046
237112.7.96.0/21112.7.96.1 to 112.7.103.254112.7.103.2552,046
238112.7.104.0/21112.7.104.1 to 112.7.111.254112.7.111.2552,046
239112.7.112.0/21112.7.112.1 to 112.7.119.254112.7.119.2552,046
240112.7.120.0/21112.7.120.1 to 112.7.127.254112.7.127.2552,046
241112.7.128.0/21112.7.128.1 to 112.7.135.254112.7.135.2552,046
242112.7.136.0/21112.7.136.1 to 112.7.143.254112.7.143.2552,046
243112.7.144.0/21112.7.144.1 to 112.7.151.254112.7.151.2552,046
244112.7.152.0/21112.7.152.1 to 112.7.159.254112.7.159.2552,046
245112.7.160.0/21112.7.160.1 to 112.7.167.254112.7.167.2552,046
246112.7.168.0/21112.7.168.1 to 112.7.175.254112.7.175.2552,046
247112.7.176.0/21112.7.176.1 to 112.7.183.254112.7.183.2552,046
248112.7.184.0/21112.7.184.1 to 112.7.191.254112.7.191.2552,046
249112.7.192.0/21112.7.192.1 to 112.7.199.254112.7.199.2552,046
250112.7.200.0/21112.7.200.1 to 112.7.207.254112.7.207.2552,046
251112.7.208.0/21112.7.208.1 to 112.7.215.254112.7.215.2552,046
252112.7.216.0/21112.7.216.1 to 112.7.223.254112.7.223.2552,046
253112.7.224.0/21112.7.224.1 to 112.7.231.254112.7.231.2552,046
254112.7.232.0/21112.7.232.1 to 112.7.239.254112.7.239.2552,046
255112.7.240.0/21112.7.240.1 to 112.7.247.254112.7.247.2552,046
256112.7.248.0/21112.7.248.1 to 112.7.255.254112.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses